Update draft
curl --request PUT \
--url https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedGroupTypes": [],
"groupConfigs": [
{
"groupName": "<string>",
"id": "<string>",
"ruleConfigurations": [
{
"configuration": {
"calculation": {
"type": "CONSTANT",
"value": 123
}
},
"enabled": true,
"id": "<string>",
"maxValue": 123,
"minValue": 123
}
],
"maxValue": 123,
"minValue": 123
}
],
"name": "<string>",
"objectTypeId": "<string>",
"maxScorePerCategory": 123
}
'import requests
url = "https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}/draft"
payload = {
"allowedGroupTypes": [],
"groupConfigs": [
{
"groupName": "<string>",
"id": "<string>",
"ruleConfigurations": [
{
"configuration": { "calculation": {
"type": "CONSTANT",
"value": 123
} },
"enabled": True,
"id": "<string>",
"maxValue": 123,
"minValue": 123
}
],
"maxValue": 123,
"minValue": 123
}
],
"name": "<string>",
"objectTypeId": "<string>",
"maxScorePerCategory": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedGroupTypes: [],
groupConfigs: [
{
groupName: '<string>',
id: '<string>',
ruleConfigurations: [
{
configuration: {calculation: {type: 'CONSTANT', value: 123}},
enabled: true,
id: '<string>',
maxValue: 123,
minValue: 123
}
],
maxValue: 123,
minValue: 123
}
],
name: '<string>',
objectTypeId: '<string>',
maxScorePerCategory: 123
})
};
fetch('https://api.hubapi.com/marketing/lead-scoring/2027-03-beta/scores/{scoreId}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowedGroupTypes": [
"FIT"
],
"groupConfigs": [
{
"groupCategory": "FIT",
"groupName": "<string>",
"id": "<string>",
"ruleConfigurations": [
{
"configuration": {
"calculation": {
"type": "CONSTANT",
"value": 123
}
},
"enabled": true,
"id": "<string>",
"maxValue": 123,
"minValue": 123
}
],
"groupDecay": {
"decayIntervalDays": 123,
"percentToDecayPerInterval": 123
},
"maxValue": 123,
"minValue": 123
}
],
"id": "<string>",
"name": "<string>",
"objectTypeId": "<string>",
"scoreStatus": "<string>",
"scoreType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"filterConfiguration": {
"listFilterType": "EXCLUDES",
"segmentIds": [
123
]
},
"maxScore": 123,
"maxScorePerCategory": 123,
"outputConfiguration": {
"outputs": [
{
"categories": [
"FIT"
],
"id": "<string>",
"outputType": "SCORE",
"propertyLabel": "<string>",
"propertyName": "<string>",
"propertyDescription": "<string>",
"propertyGroup": "<string>"
}
]
},
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lead Scoring
Update draft
Update the draft configuration of a lead scoring model identified by the scoreId. This operation allows you to modify the draft settings of an existing lead scoring model, which can be useful for testing or adjusting scoring criteria before publishing.
PUT
/
marketing
/
lead-scoring
/
2027-03-beta
/
scores
/
{scoreId}
/
draft
Update draft
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
successful operation
Available options:
FIT, INTENT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 9, 2026
Was this page helpful?